# KropCloud
This is a Organization for my infra related config and other files

## Repositories
- Configuration files of my VMs - [machines-config](https://git.katuwoss.dev/KropCloud/machines-config)
- Core services for working clusters - [gitops](https://git.katuwoss.dev/KropCloud/gitops)
- Services to run in the cluster - [services](https://git.katuwoss.dev/KropCloud/services)
- Probably will be deleted - [infra](https://git.katuwoss.dev/KropCloud/infra)
- My infrastructure documentation - [docs](https://git.katuwoss.dev/KropCloud/docs)

## Technologies used
- Proxmox Virtual Environment
- k3s

## k3s
- MetalLB for load balancing
- Nginx-Ingress
- Proxmox-csi-plugin for PVC provisioning
- ArgoCD
- Pihole for Internal DNS
